create table user (
    id int unsigned auto_increment primary key,
    name varchar(32),
    key(name)
);

create table entry (
    id int unsigned auto_increment primary key,
    url varchar(255) binary unique,
    title varchar(255),
    created_on datetime,
    key(url)
);

create table bookmark (
    user_id int unsigned,
    entry_id int unsigned,
    comment text,
    created_on datetime,
    primary key(user_id, entry_id)
);

insert into user values(NULL, 'naoya');