#!/usr/local/bin/perl
use strict;
use warnings;
use lib qw(./lib);

use App::Schema;

my $schema = App::Schema->connect;
$schema->storage->debug(1);

warn ref $schema->resultset('Entry');
warn ref $schema->resultset('Entry')->search();
warn $schema->resultset('Entry')->search({ id => 16 })->search({ id => 14 });

my $entry = $schema->resultset('Entry')->find(15);
print $entry->url->host, "\n";

